70.18.2 通过Gradle使用Jetty8

你可以设置jetty.version属性并排除相关的WebSocket依赖,比如对于一个简单的webapp或service:

ext['jetty.version'] = '8.1.15.v20140411'
dependencies {
    compile ('org.springframework.boot:spring-boot-starter-web') {
        exclude group: 'org.springframework.boot', module: 'spring-boot-starter-tomcat'
    }
    compile ('org.springframework.boot:spring-boot-starter-jetty') {
        exclude group: 'org.eclipse.jetty.websocket'
    }
}

results matching ""

    No results matching ""